aboutsummaryrefslogtreecommitdiffstats
path: root/debian/wireshark-common.postrm
diff options
context:
space:
mode:
authorBalint Reczey <balint@balintreczey.hu>2014-06-05 17:30:41 +0700
committerBalint Reczey <balint@balintreczey.hu>2014-06-08 15:32:10 +0000
commit97e1491aa8f418a7f5bd7fdd92561d2403c187f6 (patch)
treeeadecb1b66ac3900a7e5db76eb2b993693ba0b9f /debian/wireshark-common.postrm
parent9b4991098f42bfe10da9ce34c4c7711fbcf87ca7 (diff)
Sync .deb packaging from Debian
The sync makes CMake the build system for the .deb package and starts providing wireshark-qt in the wireshark-qt package. The package structure, i.e. the libraries are shipped in separate packages is also sync-ed. Wireshark-qt uses the Qt 4 libraries, but it is easy to switch it to Qt 5. Change-Id: I849d18bdb8ca6ebf4072cf1d73d749080ac5dac2 Reviewed-on: https://code.wireshark.org/review/1986 Reviewed-by: Gerald Combs <gerald@wireshark.org> Reviewed-by: Balint Reczey <balint@balintreczey.hu> Tested-by: Balint Reczey <balint@balintreczey.hu>
Diffstat (limited to 'debian/wireshark-common.postrm')
-rw-r--r--debian/wireshark-common.postrm16
1 files changed, 16 insertions, 0 deletions
diff --git a/debian/wireshark-common.postrm b/debian/wireshark-common.postrm
new file mode 100644
index 0000000000..2ea52f74d8
--- /dev/null
+++ b/debian/wireshark-common.postrm
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+GROUP=wireshark
+
+if [ "$1" = "purge" ] ; then
+ if getent group $GROUP >/dev/null; then
+ if [ -x /usr/sbin/delgroup ]; then
+ echo "Removing wireshark group..."
+ delgroup --system $GROUP || echo "Could not remove wireshark group."
+ fi
+ fi
+fi
+
+#DEBHELPER#